Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2625 - printing configuration...stuck on sysV
Summary: printing configuration...stuck on sysV
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: samba
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-07 02:36 UTC by luc_lalonde
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-05-24 20:26:49 UTC


Attachments (Terms of Use)

Description luc_lalonde 1999-05-07 02:36:27 UTC
Problem:
The version of Samba that ships with RedHat 6.0 will not
work for sharing printers with Win9x or WinNT.  Even after
specifying the printer as being "bsd" with "/etc/printcap",
it insists on looking for "lpstat" which is used for sysV
printing.
Solution:
I downloaded the rpm from the Samba FTP site and everything
work fine now.

Comment 1 s348842 1999-05-10 00:47:59 UTC
Just uncomment the line "printing = bsd" in /etc/smb.conf

Comment 2 Bill Nottingham 1999-05-24 20:26:59 UTC
fixed in samba-2.0.4b-1, in latest Raw Hide...

Comment 3 ct7 1999-06-17 20:15:59 UTC
I'm experiencing a related problem -- SWAT doesn't work correctly on
my system (RedHat 6.0, samba-2.0.3-8.i386.rpm) because it's trying to
run "/usr/bin/lpstat" (and failing) and printing an error message
before creating the HTML header (see below):

----------------------------------------------
$ lynx -source http://localhost:901/
sh: /usr/bin/lpstat: No such file or directory
HTTP/1.0 401 Authorization Required
WWW-Authenticate: Basic realm="SWAT"
Connection: close
Content-Type: text/html

<HTML><HEAD><TITLE>401 Authorization
Required</TITLE></HEAD><BODY><H1>401 Authorization Required</H1>You
must be authenticated to use this service<p></BODY></HTML>
----------------------------------------------

I've also tried this with the latest RPM from rawhide
(samba-2.0.4b-2.i386.rpm) and I get the same results.

The absence or presence of "printing = bsd" in /etc/smb.conf has no
effect on this.

Comment 4 ct7 1999-06-17 21:23:59 UTC
Found my problem -- Samba used (Samba 2.0.2 & RH 5.2) to default to
"printcap name = /etc/printcap" (BSD-style printing) for Red Hat
Linux, but now it defaults to "printcap name = lpstat" (SYSV-style
printing).  Adding "printcap name = /etc/printcap" to my /etc/smb.conf
file fixed this.

Of course, swat still shouldn't be sending shell errors to the TCP
socket!


Note You need to log in before you can comment on or make changes to this bug.